---

#! /zdci/db/releases/20250821230144/lkp-src/jobs/kernel-selftests-ftrace.yaml
suite: kernel-selftests-bpf
testcase: kernel-selftests-bpf
category: functional
kernel-selftests-bpf:
  group: ftrace
job_origin: kernel-selftests-ftrace.yaml
arch: x86_64

#! include/category/functional
kmsg:
heartbeat:
meminfo:

#! include/category/ALL
sanity-check:

#! programs/kernel-selftests-bpf/include
need_kconfig:
- RUNTIME_TESTING_MENU: "y"
- FTRACE: "y"
- KPROBES: "y"
- FUNCTION_PROFILER: "y"
- TRACER_SNAPSHOT: "y"
- STACK_TRACER: "y"
- HIST_TRIGGERS: "y"
- SCHED_TRACER: "y"
- IRQSOFF_TRACER: "y"
- PREEMPTIRQ_DELAY_TEST: m
- MODULES: "y"
- MODULE_UNLOAD: "y"
- SAMPLES: "y"
- SAMPLE_FTRACE_DIRECT: m
- SAMPLE_TRACE_PRINTK: m
- KALLSYMS_ALL: "y"
- PROBE_EVENTS_BTF_ARGS: "y"
- FUNCTION_GRAPH_RETVAL: "y"
- FUNCTION_GRAPH_TRACER: "y"
- DEBUG_INFO_BTF: y, x86_64
- RUNTIME_TESTING_MENU: "y"
- FTRACE: "y"
- KPROBES: "y"
- FUNCTION_PROFILER: "y"
- TRACER_SNAPSHOT: "y"
- STACK_TRACER: "y"
- HIST_TRIGGERS: "y"
- SCHED_TRACER: "y"
- IRQSOFF_TRACER: "y"
- PREEMPTIRQ_DELAY_TEST: m
- MODULES: "y"
- MODULE_UNLOAD: "y"
- SAMPLES: "y"
- SAMPLE_FTRACE_DIRECT: m
- SAMPLE_TRACE_PRINTK: m
- KALLSYMS_ALL: "y"
- PROBE_EVENTS_BTF_ARGS: "y"
- FUNCTION_GRAPH_RETVAL: "y"
- FUNCTION_GRAPH_TRACER: "y"
- DEBUG_INFO_BTF: y, x86_64
initrds:
- linux_headers
- linux_selftests

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-skl-d02
tbox_group: lkp-skl-d02
branch: linux-next/master
commit: dfe0d675df82fb9297ff98253b9c3042fdab5544
job_file: "/lkp/jobs/scheduled/lkp-skl-d02/kernel-selftests-bpf-ftrace-debian-12-x86_64-20240206.cgz-dfe0d675df82-20250826-129566-6568v4-0.yaml"
id: 7f02886a7e88b70bb3b45e64b252a1644700a08a
queuer_version: "/zdci/src/lkp"

#! /zdci/db/releases/20250823174018/lkp-src/hosts/lkp-skl-d02
model: Skylake
nr_cpu: 4
memory: 32G
nr_ssd_partitions: 1
nr_hdd_partitions: 4
hdd_partitions: "/dev/disk/by-id/wwn-0x5000c500746fa0cc-part*"
ssd_partitions: "/dev/disk/by-id/wwn-0x55cd2e41514d5105-part2"
rootfs_partition: "/dev/disk/by-id/wwn-0x55cd2e41514d5105-part1"
brand: Intel(R) Core(TM) i5-6500 CPU @ 3.20GHz
need_kconfig_hw:
- PTP_1588_CLOCK: "y"
- E1000E: "y"
- SATA_AHCI
- DRM_I915
ucode: '0xf0'

#! /zdci/db/releases/20250823174018/lkp-src/include/category/functional

#! /zdci/db/releases/20250823174018/lkp-src/include/category/ALL

#! /zdci/db/releases/20250823174018/lkp-src/programs/kernel-selftests-bpf/include
rootfs: debian-12-x86_64-20240206.cgz
kconfig: x86_64-rhel-9.4-bpf
enqueue_time: 2025-08-26 08:39:49.764063535 +08:00
compiler: gcc-12
_rt: "/result/kernel-selftests-bpf/ftrace/lkp-skl-d02/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-bpf/gcc-12/dfe0d675df82fb9297ff98253b9c3042fdab5544"

#! schedule options
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20250824-204013"
max_uptime: 36000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests-bpf/ftrace/lkp-skl-d02/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-bpf/gcc-12/dfe0d675df82fb9297ff98253b9c3042fdab5544/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4-bpf/gcc-12/dfe0d675df82fb9297ff98253b9c3042fdab5544/vmlinuz-6.17.0-rc1-00001-gdfe0d675df82
- branch=linux-next/master
- job=/lkp/jobs/scheduled/lkp-skl-d02/kernel-selftests-bpf-ftrace-debian-12-x86_64-20240206.cgz-dfe0d675df82-20250826-129566-6568v4-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4-bpf
- commit=dfe0d675df82fb9297ff98253b9c3042fdab5544
- intremap=posted_msi
- max_uptime=36000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4-bpf/gcc-12/dfe0d675df82fb9297ff98253b9c3042fdab5544/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-rhel-9.4-bpf/gcc-12/dfe0d675df82fb9297ff98253b9c3042fdab5544/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-rhel-9.4-bpf/gcc-12/dfe0d675df82fb9297ff98253b9c3042fdab5544/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20250628.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/kernel-selftests_20250824.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/kernel-selftests-x86_64-1b237f190eb3-1_20250824.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20250523.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: shz

#! /zdci/db/releases/20250823174018/lkp-src/include/site/shz
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-skl-d02/kernel-selftests-bpf-ftrace-debian-12-x86_64-20240206.cgz-dfe0d675df82-20250826-129566-6568v4-0.cgz"
last_kernel: 4.20.0
acpi_rsdp: '0x000f05b0'

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-9.4-bpf/gcc-12/dfe0d675df82fb9297ff98253b9c3042fdab5544/vmlinuz-6.17.0-rc1-00001-gdfe0d675df82"
result_root: "/result/kernel-selftests-bpf/ftrace/lkp-skl-d02/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-bpf/gcc-12/dfe0d675df82fb9297ff98253b9c3042fdab5544/0"
user: lkp

#! /zdci/db/releases/20250825103638/lkp-src/include/site/shz
dequeue_time: 2025-08-26 09:35:50.393627875 +08:00
job_state: finished
loadavg: 1.36 1.58 1.23 3/141 18541
start_time: '1756172348'
end_time: '1756173416'
version: "/lkp/lkp/.src-20250824-204013:c25bbfbb41cd:c9aa55c978ec-dirty"
